complexType "WeatherLegCalculation"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 5 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | settlementLevel, referenceLevelEqualsZero?, calculationDate?, maximumPaymentAmount?, maximumTransactionPaymentAmount?
</...>

Content Model Elements (5):

  calculationDate, maximumPaymentAmount, maximumTransactionPaymentAmount, referenceLevelEqualsZero, settlementLevel

All Direct / Indirect Based Elements (2):

  calculation (in commodityOption), | calculation (in weatherLeg)

Known Usage Locations

- As direct type of elements (2):

  calculation (in commodityOption), | calculation (in weatherLeg)

Annotation
A type to capture details of the calculation of the Payment Amount on a Weather Index Transaction.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="WeatherLegCalculation"> <xsd:sequence> <xsd:element name="settlementLevel" type="WeatherSettlementLevelEnum"/> <xsd:element minOccurs="0" name="referenceLevelEqualsZero" type="xsd:boolean"/> <xsd:element minOccurs="0" name="calculationDate" type="Period"/> <!--View Generation: SKIPPED businessDays - NonStandardFeature--> <!--View Generation: SKIPPED dataCorrection - NonStandardFeature--> <!--View Generation: SKIPPED correctionPeriod - NonStandardFeature--> <xsd:element minOccurs="0" name="maximumPaymentAmount" type="NonNegativeMoney"/> <xsd:element minOccurs="0" name="maximumTransactionPaymentAmount" type="NonNegativeMoney"/> <!--View Generation: SKIPPED rounding - NonStandardFeature--> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
calculationDate

  Type: | Period, complex content

  The number of days following the final day of the Calculation Period specified in the Confirmation on which is is practicable to provide the notice that the Calculation Agent is required to give for that Settlement Date or Payment Date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationDate" type="Period"/>

maximumPaymentAmount

  Type: | NonNegativeMoney, complex content

  The maximum total payment amount that will be paid in any particular transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="maximumPaymentAmount" type="NonNegativeMoney"/>

maximumTransactionPaymentAmount

  Type: | NonNegativeMoney, complex content

  The maximum payment amount that will be paid in any particular Calculation Period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="maximumTransactionPaymentAmount" type="NonNegativeMoney"/>

referenceLevelEqualsZero

  Type: | xsd:boolean, predefined, simple content

  If Reference Level Equals Zero is specified to be applicable then CPD means, for any day during the Calculation Period, (A) 1 if the Daily Precipitation for that day is greater than or equal to the CPD Reference Level or (B) zero if the the Daily Precipitation for that day is less than the CPD Reference Level. If Reference Level Equals Zero is specified not to be applicable then CPD means, for any day during the Calculation Period, (A) 1 if the Daily Precipitation for that day is greater than the CPD Reference Level or 0 if the Daily Precipitation for that day is less than or equal to the CPD Reference Level.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="referenceLevelEqualsZero" type="xsd:boolean"/>

settlementLevel

  Type: | WeatherSettlementLevelEnum, simple content

  The Settlement Level means either the cumulative number of Weather Index Units for each day in the Calculation Period (Cumulative) or the cumulative number of Weather Index Units for each day in the Calculation Period divided by the number of days in the Calculation Period (Average) or the maximum number of Weather Index Units for any day in the Calculation Period (Maximum) or the minimum number of Weather Index Units for any day in the Calculation Period.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Cumulative" | - | The cumulative number of Weather Index Units for each day in the Calculation Period.
  "Average" | - | The cumulative number of Weather Index Units for each day in the Calculation Period divided by the number of days in the Calculation Period.
  "Mximum" | - | The maximum number of Weather Index Units for any day in the Calculation Period.
  "Minimum" | - | The minimum number of Weather Index Units for any day in the Calculation Period.

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="settlementLevel" type="WeatherSettlementLevelEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.